function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"4",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"4",100,"messageinfo")
		end;
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("photolab",16,0);
		--Emitters(true);
		DarkScreen(false);
		if flags.minicomplete3 then
		    StopEmiter("Book");
			flags.minitext4=true;
			Set_Cursor(6,2);	
			StopParticleSystem(6);	
		
		return; end;
	return; end;
	
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("photolab");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete3=true;
		StartTimer(2100,3)
		playeffect("miniC");
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"4",100,"messageinfo")
		return;end;			
		if id==1000 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("photolab");
			DeleteResource("cm1_btn" );
			DeleteResource("cm1_0003");
			DeleteResource("cm1_0004");
			DeleteResource("cm1_0005");
			DeleteResource("cm1_0006");
			DeleteResource("cm1_0007");
			DeleteResource("cm1_0008");
			DeleteResource("cm1_0009");
			DeleteResource("cm1_0010");
			DeleteResource("cm1_0011");
		return;end;

		if id==5000 and skipping then
			if not flags.minicomplete3 then
				playeffect("skip");
				finish_mini_game(true);
				if not flags.newspaperopen then
					flags.newspaperopen=true;
					speciale_action(2,1009);
					speciale_action(2,1004);
					speciale_action(2,1006);
					speciale_action(2,1008);
				end;				
				if not flags.line1 then
					flags.line1=true;
					speciale_action(2,1003);
				end;	
				if not flags.line2 then
					flags.line2=true;
					speciale_action(2,1005);
				end;	
				if not flags.line3 then
					flags.line3=true;
					speciale_action(2,1007);
				end;					
			return;end;	
		return;end;	
		
		if not flags.newspaperopen then
			if id==1010 then
				flags.newspaperopen=true;
				speciale_action(2,1009);
				speciale_action(2,1004);
				speciale_action(2,1006);
				speciale_action(2,1008);
			return;end;
		return;end;
		
		if id==1004 then
			if not flags.line1 then
				playeffect("pencil");		
				flags.line1=true;
				speciale_action(2,id-1);
			return;end;	
		return;end;
		
		if id==1006 then
			if not flags.line2 then
				playeffect("pencil");		
				flags.line2=true;
				speciale_action(2,id-1);
			return;end;	
		return;end;

		if id==1008 then
			if not flags.line3 then	
				playeffect("pencil");		
				flags.line3=true;
				speciale_action(2,id-1);
			return;end;	
		return;end;		
	return;end;
	
	if sender==6 then
		if flags.line1 and flags.line2 and flags.line3 then
			finish_mini_game(true);
		return;end;
	return;end;
end;
function mini_delete ()

end;